GET /api/v202301/widget/rollingmonthlycomparison/{specificWidgetId}

Retrieves data for the Rolling Monthly Comparison Widget.

GetRollingComparisonV202301

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
specificWidgetId The specific widget id integer (int32) Required

Query Parameters

Name Description Type Required
filter The widget filters string (string) Optional

Filters

Filter Description Type Operators
accountId Integer equals
budgetVersionId Integer equals
Channel Channel String equals
chartType Chart Type String equals
commodityCategoryID Integer equals
commodityId Integer equals
cumulative Display as Cumulative Boolean equals
DataPointID Integer equals
emissionSourceId Integer equals
EsaChannelID Integer equals
esaIntervalWidgetGroupBy Group By String equals
includeAccountCharges Include Account Charges Boolean equals
includeAccruals Include Accruals Boolean equals
meterGroupInfo Meter Group Display String equals
meterId Integer equals
numberOfYears Integer equals
placeGroupId Integer equals
placeGroupName Place Group Name String equals
rateId Integer equals
readingDate Reading Date DateTime equals between today yesterday last 7 days last 14 days last 30 days last 60 days last 90 days
Schedule Schedule String equals
topmostCollectionId Integer equals
topmostCostCenterId Integer equals
topmostPlaceCode Topmost Place Code String equals
topmostPlaceId Integer equals
topmostPlaceName Topmost Place Name String equals
vendorId Integer equals

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

RollingComparisonResponseV202301
Property Description Type
dataDetails The data details RollingComparisonDetailV202301[]
RollingComparisonDetailV202301 properties
Property Description Type
values The monthly values within the year range RollingComparisonPeriodValueV202301[]
RollingComparisonPeriodValueV202301 properties
Property Description Type
formattedValue The formatted value within the period string
groupByValues The grouped values within the period TimeSeriesValue[]
TimeSeriesValue properties
Property Description Type
date string (date-time)
formattedValue Value, serialized as a String. This is the value that should be displayed to the User. If Value is very large or to a high degree of precision its Number value in Javascript cannot be relied upon. Other client languages might have similar limitations. In order to guarantee that Value is displayed to the User to the same degree of precision as is stored in the readings database, this formattedValue property must be used. string
id integer (int32)
unit The Unit that Value is expressed in. E.g. “kWh”. string
value Value, as a decimal. Note that this could be very large, and/or to a high degree of precision. In particular, in Javascript, it might not be able to be precisely represented in a 64-bit float. See: formattedValue. number (double)
period The period integer (int32)
value The value within the period number (double)
yearRange YearRange
YearRange properties
Property Description Type
endYear The end year for the range integer (int32)
startYear The start year for the range integer (int32)
dataDisplayed Indicates the type of the data displayed. Eg: Actual, Calendarized or Normalized. string
groupByEntities The entities for the groups TimeSeriesEntity[]
TimeSeriesEntity properties
Property Description Type
display string
id integer (int32)
secondaryDisplay string
type string
periodRange PeriodRange
PeriodRange properties
Property Description Type
endPeriod The end period for the range integer (int32)
startPeriod The start period for the range integer (int32)
unit The values unit string
Example Response application/json
{  "dataDetails": [
    {    "values": [
      {      "formattedValue": "string",      "groupByValues": [],      "period": 1,      "value": 1.0
    }
    ],    "yearRange": {      "endYear": 1,      "startYear": 1
    }
  }
  ],  "dataDisplayed": "string",  "groupByEntities": [
    {    "display": "string",    "id": 1,    "secondaryDisplay": "string",    "type": "string"
  }
  ],  "periodRange": {    "endPeriod": 1,    "startPeriod": 1
  },  "unit": "string"
}